;;======================================================================
;; Copyright 2019, Matthew Welland.
;; 
;; This file is part of Megatest.
;; 
;;     Megatest is free software: you can redistribute it and/or modify
;;     it under the terms of the GNU General Public License as published by
;;     the Free Software Foundation, either version 3 of the License, or
;;     (at your option) any later version.
;; 
;;     Megatest is distributed in the hope that it will be useful,
;;     but WITHOUT ANY WARRANTY; without even the implied warranty of
;;     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;     GNU General Public License for more details.
;; 
;;     You should have received a copy of the GNU General Public License
;;     along with Megatest.  If not, see <http://www.gnu.org/licenses/>.

;;======================================================================

(declare (unit megamod))
(declare (uses commonmod))
(declare (uses dbmod))
;;(declare (uses apimod))
(declare (uses ftail))
;; (declare (uses rmtmod))
(declare (uses commonmod))
(declare (uses apimod))
(declare (uses archivemod))
(declare (uses clientmod))
(declare (uses configfmod))
(declare (uses dbmod))
(declare (uses dcommonmod))
(declare (uses envmod))
(declare (uses ezstepsmod))
(declare (uses itemsmod))
(declare (uses keysmod))
(declare (uses launchmod))
(declare (uses odsmod))
(declare (uses processmod))
(declare (uses runconfigmod))
(declare (uses runsmod))
(declare (uses servermod))
(declare (uses subrunmod))
(declare (uses tasksmod))
(declare (uses testsmod))
(declare (uses vgmod))

(module rmtmod
	*
	
(import scheme chicken data-structures extras)
(import
 (prefix sqlite3 sqlite3:)
 call-with-environment-variables
 csv
 format
 http-client
 intarweb
 irregex
 matchable
 ports
 posix
 regex
 s11n
 spiffy
 spiffy-directory-listing
 spiffy-request-vars
 srfi-1
 srfi-13
 srfi-18
 srfi-69
 stack
 stml2
 typed-records
 uri-common
 z3
 )

;; (import apimod)
(import archivemod)
(import clientmod)
(import commonmod)
(import configfmod)
(import dbmod)
(import dcommonmod)
(import envmod)
(import ezstepsmod)
(import ftail)
(import itemsmod)
(import keysmod)
(import launchmod)
(import odsmod)
(import processmod)
;; (import rmtmod)
(import runconfigmod)
(import runsmod)
(import servermod)
(import subrunmod)
(import tasksmod)
(import testsmod)
(import vgmod)

(use (prefix ulex ulex:))

(include "common_records.scm")
(include "db_records.scm")
(include "task_records.scm")
(include "test_records.scm")
(include "run_records.scm")

;;======================================================================
;; L O C K I N G   M E C H A N I S M S 
;;======================================================================
(include "f1.scm")
(include "f2.scm")
(include "f3.scm")
)
;; http-transport:server-dat definition moved to common_records.scm
;; bunch of small functions factored out of send-receive to make debug easier
